Table of Contents

## Name

AuMakeElementImportBucket - initialize an ImportBucket element

## Synopsis

#include <audio/audiolib.h>

AuMakeElementImportBucket(element, sample_rate, bucket, num_samples, offset, num_actions, actions)
AuElement *element; /* RETURN */
unsigned short sample_rate;
AuBucketID bucket;
AuUint32 num_samples;
AuInt32 offset;
int num_actions;
AuElementAction *actions;

## Arguments

element
  Returns the initialized element.
sample_rate
  Specifies the sample rate of the audio data.
bucket
  Specifies the ID of the bucket to read the audio data from.
num_samples
  Specifies the number of samples to read from the bucket. Ignored for "trivial" flows.
offset
  Specifies the offset into the bucket to begin reading at.
num_actions
  Specifies the number of actions in actions.
actions
  Specifies the list of actions to associate with this element. Entries in this list can be initialized with AuMakeChangeStateAction, AuMakeSendNotifyAction, and AuMakeNoopAction. May be NULL.

## Description

AuMakeElementImportBucket sets the type member of element to AuElementTypeImportBucket and initializes the importbucket member of element with the remaining arguments.

AuMakeElementImportBucket is implemented as a macro.

## See Also

AuMakeElementAddConstant, AuMakeElementBundle, AuMakeElementExportBucket, AuMakeElementExportClient, AuMakeElementExportDevice, AuMakeElementExportMonitor, AuMakeElementImportClient, AuMakeElementImportDevice, AuMakeElementImportWaveForm, AuMakeElementMultiplyConstant, AuMakeElementSum.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- See Also